org.bdgenomics.adam.rdd.variation

# VariantContextRDDFunctions

#### class VariantContextRDDFunctions extends ADAMSequenceDictionaryRDDAggregator[VariantContext] with Logging

Linear Supertypes
ADAMSequenceDictionaryRDDAggregator[VariantContext], Logging, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantContextRDDFunctions
2. ADAMSequenceDictionaryRDDAggregator
3. Logging
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantContextRDDFunctions(rdd: RDD[VariantContext])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def adamGetSequenceDictionary(): SequenceDictionary

   Aggregates together a sequence dictionary from the different individual reference sequences used in this dataset.

   Aggregates together a sequence dictionary from the different individual reference sequences used in this dataset.

   returns

     A sequence dictionary describing the reference contigs in this dataset.

   Definition Classes
     ADAMSequenceDictionaryRDDAggregator

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def getCallsetSamples(): List[String]

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getSequenceRecordsFromElement(elem: VariantContext): Set[SequenceRecord]

    For a single variant context, returns sequence record elements.

    For a single variant context, returns sequence record elements.

    elem

      Element from which to extract sequence records.

    returns

      A seq of sequence records.

    Definition Classes
      VariantContextRDDFunctions → ADAMSequenceDictionaryRDDAggregator

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

18. #### def joinDatabaseVariantAnnotation(ann: RDD[DatabaseVariantAnnotation]): RDD[VariantContext]

    Left outer join database variant annotations

19. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def saveAsVcf(filePath: String, dict: Option[SequenceDictionary] = None, sortOnSave: Boolean = false, coalesceTo: Option[Int] = None): RDD[VariantContext]

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    filePath

      The filepath to save to.

    dict

      An optional sequence dictionary. Default is none.

    sortOnSave

      Whether to sort before saving. Sort is run after coalescing. Default is false (no sort).

    coalesceTo

      Optionally coalesces the RDD down to _n_ partitions. Default is none.

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ADAMSequenceDictionaryRDDAggregator[VariantContext]

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped